## Introduction
This mod adds a simple node; the httpblock. It takes in a digilines message containing a URL and then returns the content of it. 

Send something like this:

```
http://example.com/textfile.txt
```

And you will recieve something like this:

```
This domain is for use in illustrative examples in documents. You may use this domain in literature without prior coordination or asking for permission.\n
```

This is a script which returns raw HTML and sends it:

```lua
if event.type ==  "on" or event.type == "program" then
    digiline_send("httpblock", "http://example.com")
end

if event.type == "digiline" and event.channel == "lol" then
    digiline_send("processor", event.msg)
end
```

Feel free to make a HTML parser luacontroller.

## Roadmap
Currently, the mod only contains the `httpblock:httpblock`. However, there are plans for more complicated blocks now that the Minetest interfacing code is mostly done:

* HTML Query block - give it table containing HTML and a query (like `#id` or `.class`), and it will return the contents of all elements matching the query.
* HTTP Posters - sends a post request
* Image decoder - converts an image into a table of pixels

There are also plans for a web-based service to allow Minetest to interface with, allowing for admins to have an API to interface with scripts. For example, the server wiki might have a script scraping the first news item and sending it to endpoint `127.0.0.1/news.txt` for the mod to send to LCD screens across the server.

In any case, if i don't make these before 2023-10-01, feel free to make them yourself.

## Credits
The code and textures are a lightly modified version of the digilines RTC - credit to the devs!

## Beurocracy
The license for the code is LGPL and the license for the image is CC0.

